package ru.yandex.qe.dispenser.domain.dao.bot.service.reserve;

import java.util.Set;

import org.jetbrains.annotations.NotNull;

import ru.yandex.qe.dispenser.domain.Campaign;
import ru.yandex.qe.dispenser.domain.Service;

public interface BotServiceReserveFilter {
    @NotNull
    Set<Service> getServices();

    @NotNull
    Set<Long> getBigOrderIds();

    @NotNull
    Set<Long> getCampaignIds();

    @NotNull
    Set<Campaign.CampaignOrder> getCampaignBigOrders();

}
